<div class="box bg-color p-4 mb-4">
    <h5 class="mb-4">{{ translate('Options') }}</h5>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="checkbox" name="free" value="true" id="op1">
            <label class="form-check-label" for="op1">{{ translate('Free') }}</label>
        </div>
    </div>
    @if (licenseType(2) && @$settings->premium->status)
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="checkbox" name="premium" value="true"
                    id="op2">
                <label class="form-check-label" for="op2">{{ translate('Premium') }}</label>
            </div>
        </div>
    @endif
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="checkbox" name="on_sale" value="true" id="op3">
            <label class="form-check-label" for="op3">{{ translate('On Sale') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="checkbox" name="best_selling" value="true"
                id="op4">
            <label class="form-check-label" for="op4">{{ translate('Best Selling') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="checkbox" name="trending" value="true" id="op5">
            <label class="form-check-label" for="op5">{{ translate('Trending') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="checkbox" name="featured" value="true" id="op6">
            <label class="form-check-label" for="op6">{{ translate('Featured') }}</label>
        </div>
    </div>
</div>
<div class="box bg-color p-4 mb-4">
    <h5 class="mb-4">{{ translate('Price') }}</h5>
    <div class="filter-item">
        <div class="d-flex align-items-center gap-2">
            <input id="priceForm" type="text" name="min_price" class="form-control form-control-md"
                placeholder="{{ translate('min') }}" value="{{ request()->input('min_price') }}" />
            <span>-</span>
            <input id="priceTo" type="text" name="max_price" class="form-control form-control-md"
                placeholder="{{ translate('max') }}" value="{{ request()->input('max_price') }}" />
            <button id="searchByPrice" class="btn btn-primary btn-md btn-padding">
                <i class="fa fa-arrow-right fa-rtl"></i>
            </button>
        </div>
    </div>
</div>
@if (@$settings->item->reviews_status)
    <div class="box bg-color p-4 mb-4">
        <h5 class="mb-4">{{ translate('Rating') }}</h5>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value=""
                    id="rating1">
                <label class="form-check-label" for="rating1">{{ translate('Show All') }}</label>
            </div>
        </div>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value="5"
                    id="rating2">
                <label class="form-check-label" for="rating2">
                    <div class="row g-2 row-cols-auto align-items-center">
                        <div class="col">
                            @include('themes.basic.partials.rating-stars', [
                                'stars' => 5,
                            ])
                        </div>
                        <div class="col">
                            {{ translate('5 stars') }}
                        </div>
                    </div>
                </label>
            </div>
        </div>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value="4"
                    id="rating3">
                <label class="form-check-label" for="rating3">
                    <div class="row g-2 row-cols-auto align-items-center">
                        <div class="col">
                            @include('themes.basic.partials.rating-stars', [
                                'stars' => 4,
                            ])
                        </div>
                        <div class="col">
                            {{ translate('4 stars') }}
                        </div>
                    </div>
                </label>
            </div>
        </div>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value="3"
                    id="rating4">
                <label class="form-check-label" for="rating4">
                    <div class="row g-2 row-cols-auto align-items-center">
                        <div class="col">
                            @include('themes.basic.partials.rating-stars', [
                                'stars' => 3,
                            ])
                        </div>
                        <div class="col">
                            {{ translate('3 stars') }}
                        </div>
                    </div>
                </label>
            </div>
        </div>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value="2"
                    id="rating5">
                <label class="form-check-label" for="rating5">
                    <div class="row g-2 row-cols-auto align-items-center">
                        <div class="col">
                            @include('themes.basic.partials.rating-stars', [
                                'stars' => 2,
                            ])
                        </div>
                        <div class="col">
                            {{ translate('2 stars') }}
                        </div>
                    </div>
                </label>
            </div>
        </div>
        <div class="filter-item">
            <div class="form-check">
                <input class="form-check-input search-param" type="radio" name="stars" value="1"
                    id="rating6">
                <label class="form-check-label" for="rating6">
                    <div class="row g-2 row-cols-auto align-items-center">
                        <div class="col">
                            @include('themes.basic.partials.rating-stars', [
                                'stars' => 1,
                            ])
                        </div>
                        <div class="col">
                            {{ translate('1 star') }}
                        </div>
                    </div>
                </label>
            </div>
        </div>
    </div>
@endif
<div class="box bg-color  p-4 mb-4">
    <h5 class="mb-4">{{ translate('Date Added') }}</h5>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="radio" name="date" value=""
                id="date1">
            <label class="form-check-label" for="date1">{{ translate('Any time') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="radio" name="date" value="this_month"
                id="date2">
            <label class="form-check-label" for="date2">{{ translate('This month') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="radio" name="date" value="last_month"
                id="date3">
            <label class="form-check-label" for="date3">{{ translate('Last month') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="radio" name="date" value="this_year"
                id="date4">
            <label class="form-check-label" for="date4">{{ translate('This year') }}</label>
        </div>
    </div>
    <div class="filter-item">
        <div class="form-check">
            <input class="form-check-input search-param" type="radio" name="date" value="last_year"
                id="date5">
            <label class="form-check-label" for="date5">{{ translate('Last year') }}</label>
        </div>
    </div>
</div>
