<?php if($testimonialsSection && $testimonials->count() > 0): ?>
    <section class="section">
        <div class="container container-custom">
            <div class="section-inner">
                <div class="section-header text-center text-lg-start">
                    <div class="row align-items-center justify-content-between g-3">
                        <div class="col-12 col-lg-8 col-xl-7 col-xxl-6">
                            <h2 class="section-title" data-aos="fade-down" data-aos-duration="1000">
                                <?php echo e($testimonialsSection->name); ?>

                            </h2>
                            <?php if($testimonialsSection->description): ?>
                                <p class="section-text" data-aos="fade-down" data-aos-duration="1000"
                                    data-aos-delay="200">
                                    <?php echo e($testimonialsSection->description); ?>

                                </p>
                            <?php endif; ?>
                        </div>
                        <div class="col-12 col-lg-auto d-flex justify-content-center" data-aos="fade-left"
                            data-aos-duration="1000" data-aos-delay="600">
                            <div class="swiper-actions d-flex gap-2">
                                <div id="testimonials-swiper-prev" class="swiper-button-prev position-static">
                                    <i class="fa fa-chevron-left"></i>
                                </div>
                                <div id="testimonials-swiper-next" class="swiper-button-next position-static">
                                    <i class="fa fa-chevron-right"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="section-body">
                    <div class="swiper testimonials-swiper">
                        <div class="swiper-wrapper">
                            <?php $__currentLoopData = $testimonials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $testimonial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="swiper-slide" data-aos="zoom-in" data-aos-duration="1000">
                                    <div class="testimonial" data-aos="zoom-in" data-aos-duration="1000">
                                        <div class="d-flex align-items-center gap-3 mb-3">
                                            <div class="testimonial-avatar">
                                                <img src="<?php echo e($testimonial->getAvatar()); ?>"
                                                    alt="<?php echo e($testimonial->name); ?>" />
                                            </div>
                                            <div class="testimonial-info">
                                                <h6 class="testimonial-title mb-1"><?php echo e($testimonial->name); ?></h6>
                                                <p class="testimonial-jobtitle"><?php echo e($testimonial->title); ?></p>
                                            </div>
                                        </div>
                                        <p class="testimonial-message">
                                            <?php echo e($testimonial->body); ?>

                                        </p>
                                        <div class="testimonial-ratings mt-auto">
                                            <?php echo $__env->make('themes.basic.partials.rating-stars', [
                                                'stars' => $testimonial->stars,
                                                'ratings_classes' => 'ratings-lg',
                                            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /Users/vironeer/Desktop/Workspace/code/resources/views/themes/basic/sections/testimonials.blade.php ENDPATH**/ ?>