<?php
$title = seoTitle($__env);
$description = $__env->yieldContent('description') ? $__env->yieldContent('description') : @$settings->seo->description ?? '';
$keywords = $__env->yieldContent('keywords') ? $__env->yieldContent('keywords') : @$settings->seo->keywords ?? '';
$ogImage = $__env->yieldContent('og_image') ? $__env->yieldContent('og_image'): asset($themeSettings->general->social_image);
?>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<meta name="theme-color" content="<?php echo e($themeSettings->colors->primary_color); ?>">
<?php if (! empty(trim($__env->yieldContent('noindex')))): ?><meta name="robots" content="noindex, nofollow" />
<meta name="googlebot" content="no index">
<?php endif; ?>
<meta name="description" content="<?php echo e($description); ?>">
<meta name="keywords" content="<?php echo e($keywords); ?>">
<meta property="og:site_name" content="<?php echo e(@$settings->general->site_name); ?>">
<meta property="og:type" content="website">
<meta property="og:title" content="<?php echo e($title); ?>">
<meta property="og:description" content="<?php echo e($description); ?>">
<meta property="og:image:height" content="600">
<meta property="og:image:width" content="316">
<meta property="og:url" content="<?php echo e(url()->current()); ?>">
<meta property="og:image" content="<?php echo e($ogImage); ?>">
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:title" content="<?php echo e($title); ?>">
<meta name="twitter:description" content="<?php echo e($description); ?>">
<meta name="twitter:image:src" content="<?php echo e($ogImage); ?>">
<title><?php echo e($title); ?></title>
<link rel="icon" href="<?php echo e(asset($themeSettings->general->favicon)); ?>">
<?php echo $__env->make('themes.basic.includes.styles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo schema($__env); ?>

<?php echo $__env->yieldPushContent('schema'); ?>
<?php /**PATH /home/lustlyst/cornuscore.com/resources/views/themes/basic/includes/head.blade.php ENDPATH**/ ?>