<?php if($categoriesSection && $homeCategories->count() > 0): ?>
    <section class="section <?php echo e($categoriesSection->name || $categoriesSection->description ? '' : 'section-margin'); ?>">
        <div class="container container-custom">
            <div class="section-inner">
                <?php if($categoriesSection->name || $categoriesSection->description): ?>
                    <div class="section-header text-center text-lg-start">
                        <div class="row align-items-center justify-content-between g-3">
                            <div class="col-12 col-lg-8 col-xl-7 col-xxl-6">
                                <h2 class="section-title">
                                    <?php echo e($categoriesSection->name); ?>

                                </h2>
                                <?php if($categoriesSection->description): ?>
                                    <p class="section-text">
                                        <?php echo e($categoriesSection->description); ?>

                                    </p>
                                <?php endif; ?>
                            </div>
                            <div class="col-12 col-lg-auto d-flex justify-content-center d-none d-lg-block">
                                <a href="<?php echo e(route('categories.index')); ?>"
                                    class="btn btn-outline-primary btn-md px-4 py-2 fw-medium">
                                    <?php echo e(translate('View All')); ?>

                                    <i class="fa fa-chevron-right fa-sm fa-rtl ms-2"></i></a>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="section-body" data-aos="fade-up" data-aos-duration="1000">
                    <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 row-cols-xl-4 justify-content-center g-3">
                        <?php $__currentLoopData = $homeCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $homeCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col">
                                <a href="<?php echo e($homeCategory->link); ?>" class="home-category">
                                    <div class="home-category-icon">
                                        <img src="<?php echo e($homeCategory->getIcon()); ?>" alt="<?php echo e($homeCategory->name); ?>" />
                                    </div>
                                    <div class="home-category-info">
                                        <h5 class="home-category-title"><?php echo e($homeCategory->name); ?></h5>
                                    </div>
                                </a>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <?php if(!$categoriesSection->name && !$categoriesSection->description): ?>
                        <div class="d-flex justify-content-center mt-4">
                            <a href="<?php echo e(route('categories.index')); ?>"
                                class="btn btn-outline-primary btn-md px-5 fw-medium">
                                <?php echo e(translate('View All')); ?>

                                <i class="fa fa-arrow-right fa-rtl ms-1"></i>
                            </a>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /Users/vironeer/Desktop/Workspace/code/resources/views/themes/basic/sections/categories.blade.php ENDPATH**/ ?>