<div class="nav-bar <?php echo e($navbar_classes ?? ''); ?>">
    <div class="container container-custom">
        <div class="nav-bar-container">
            <a href="<?php echo e(route('home')); ?>" class="logo">
                <img src="<?php echo e(asset($themeSettings->general->logo_dark)); ?>" alt="<?php echo e(@$settings->general->site_name); ?>" />
            </a>
            <div class="nav-bar-menu">
                <div class="overlay"></div>
                <div class="nav-bar-menu-inner">
                    <div class="nav-bar-menu-header">
                        <a class="nav-bar-menu-close ms-auto">
                            <i class="fa fa-times"></i>
                        </a>
                    </div>
                    <div class="nav-bar-links">
                        <?php $__currentLoopData = $navbarLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $navbarLink): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($navbarLink->children->count() > 0): ?>
                                <div class="drop-down" data-dropdown>
                                    <div class="drop-down-btn">
                                        <span class="me-2"><?php echo e($navbarLink->name); ?></span>
                                        <i class="bi bi-chevron-down ms-auto"></i>
                                    </div>
                                    <div class="drop-down-menu">
                                        <?php $__currentLoopData = $navbarLink->children; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e($child->link); ?>"
                                                <?php echo e($child->isExternal() ? 'target=_blank' : ''); ?>

                                                class="drop-down-item">
                                                <span><?php echo e($child->name); ?></span>
                                            </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            <?php else: ?>
                                <a href="<?php echo e($navbarLink->link); ?>" <?php echo e($navbarLink->isExternal() ? 'target=_blank' : ''); ?>

                                    class="link">
                                    <div class="link-title">
                                        <span><?php echo e($navbarLink->name); ?></span>
                                    </div>
                                </a>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <a href="<?php echo e(route('cart.index')); ?>" class="link cart-btn w-auto d-none d-xxl-block me-2">
                            <?php if($cartItemsCount): ?>
                                <div class="cart-counter"><?php echo e($cartItemsCount > 99 ? '+99' : $cartItemsCount); ?></div>
                            <?php endif; ?>
                            <div class="link-title">
                                <i class="fa-solid fa-shopping-cart"></i>
                            </div>
                        </a>
                    </div>
                    <div class="nav-bar-buttons">
                        <?php if(licenseType(2) && @$settings->premium->status): ?>
                            <a href="<?php echo e(route('premium.index')); ?>" class="link-btn">
                                <button class="btn btn-outline-premium px-4">
                                    <i class="fa-solid fa-crown me-1"></i>
                                    <?php echo e(translate('Premium')); ?>

                                </button>
                            </a>
                        <?php endif; ?>
                        <?php if(auth()->guard()->guest()): ?>
                            <a href="<?php echo e(route('login')); ?>" class="link-btn">
                                <button class="btn btn-outline-primary px-4"><?php echo e(translate('Sign In')); ?></button>
                            </a>
                            <?php if(@$settings->actions->registration): ?>
                                <a href="<?php echo e(route('register')); ?>" class="link-btn">
                                    <button class="btn btn-primary px-4"><?php echo e(translate('Sign Up')); ?></button>
                                </a>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="nav-bar-actions">
                <a href="<?php echo e(route('cart.index')); ?>" class="link cart-btn w-auto d-block d-xxl-none mb-0 me-2">
                    <?php if($cartItemsCount): ?>
                        <div class="cart-counter"><?php echo e($cartItemsCount > 99 ? '+99' : $cartItemsCount); ?></div>
                    <?php endif; ?>
                    <div class="link-title">
                        <i class="fa-solid fa-shopping-cart"></i>
                    </div>
                </a>
                <?php if(auth()->guard()->check()): ?>
                    <?php echo $__env->make('themes.basic.partials.user-menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endif; ?>
                <div class="nav-bar-menu-btn ms-3">
                    <i class="fa-solid fa-bars fa-lg"></i>
                </div>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/lustlyst/cornuscore.com/resources/views/themes/basic/includes/navbar.blade.php ENDPATH**/ ?>