<!DOCTYPE html>
<html lang="<?php echo e(getLocale()); ?>">

<head>
    <?php $__env->startSection('noindex', true); ?>
    <?php $__env->startSection('title', @$settings->maintenance->title); ?>
    <?php $__env->startPush('styles'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('themes/basic/assets/css/maintenance.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php echo $__env->make('themes.basic.includes.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>


<body class="maintenance bg-secondary d-flex justify-content-center align-items-center">
    <div class="background-animation">
        <svg width="100%" height="100%" xmlns="http://www.w3.org/2000/svg">
            <circle cx="50%" cy="50%" r="400" fill="rgba(0, 123, 255, 0.1)" class="float1" />
            <circle cx="50%" cy="50%" r="250" fill="rgba(0, 123, 255, 0.15)" class="float2" />
            <circle cx="50%" cy="50%" r="150" fill="rgba(0, 123, 255, 0.2)" class="float3" />
        </svg>
    </div>
    <div class="container text-center content-center">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="card shadow-lg border-0 rounded-4 p-5">
                    <div class="logo-image mb-4">
                        <img src="<?php echo e(asset(@$settings->maintenance->image)); ?>"
                            alt="<?php echo e(@$settings->maintenance->title); ?>" class="img-fluid">
                    </div>
                    <h1 class="mb-3"><?php echo e(@$settings->maintenance->title); ?></h1>
                    <p class="text-muted mb-4"><?php echo e(@$settings->maintenance->body); ?></p>
                    <form action="<?php echo e(route('maintenance.unlock')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="mb-3">
                            <input type="password" class="form-control form-control-lg text-center" name="password"
                                placeholder="<?php echo e(translate('Enter Password')); ?>" autofocus required>
                        </div>
                        <div class="captcha-container">
                            <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
                        </div>
                        <button type="submit" class="btn btn-primary btn-lg w-100"><?php echo e(translate('Unlock')); ?></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('vendor/libs/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/libs/bootstrap/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vendor/libs/vironeer/toastr/js/vironeer-toastr.min.js')); ?>"></script>
    <script src="<?php echo e(theme_assets_with_version('assets/js/app.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    <?php echo app('toastr')->render(); ?>
</body>

</html>
<?php /**PATH /home/lustlyst/cornuscore.com/resources/views/themes/basic/maintenance.blade.php ENDPATH**/ ?>